package frontend.symbol;

public class WrongAssignmentException extends RuntimeException {

    public WrongAssignmentException(Symbol s) {
        super("Error at line " + s.getLine() + ":" + s.getColumn() + ": Cannot assign a value to " + s.getName() +
                " as it is a " + new String[]{"constant", "", "procedure"}[s.getType()] + ".");
    }

}
