package intermediate.operators;

import intermediate.*;

public class TEMP extends Expression {

    private Temp temp;
    private int constantPropagationValue;

    public TEMP(Temp temp) {
        this.temp = temp;
        constantPropagationValue = 0;
    }

    public String toString() {
        return "TEMP(" + temp + ")";
    }


    public String toStringList() {
        return "TEMP(" + temp + ")";
    }

    public Temp getTemp() {
        return temp;
    }

    public int getConstantPropagationValue(){
        return constantPropagationValue;
    }
    public void setConstantPropagationValue(int value){
        this.constantPropagationValue = value;
    }


}