package frontend.symbol;

public class DoubleDeclarationException extends RuntimeException {

    public DoubleDeclarationException(Definition d, Definition dOld) {
        super("Error at line " + d.getOccurrence().getLocation() + ": Symbol " + d.getName() +
                " has already been defined at line " + dOld.getOccurrence().getLocation() + ".");
    }

}