package intermediate.operators;

import intermediate.*;

public class CALL extends Expression {

    private Expression proc;

    public CALL(Expression proc) {
        this.proc = proc;
        addChild(proc);
    }

    public String toString() {
        return "CALL";
    }

    public String toStringList() {
        return "CALL(" + proc.toStringList() + ")";
    }

    public Expression getProc() {
        return proc;
    }


}