package intermediate.operators;

import intermediate.*;

public class OUTPUT extends Statement {

    private Expression exp;

    public OUTPUT(Expression exp) {
        this.exp = exp;
        addChild(exp);
    }

    public String toString() {
        return "OUTPUT";
    }

    public String toStringList() {
        return "OUTPUT(" + exp.toStringList() + ")";
    }

    public void setLoc(Expression exp){
        this.exp = exp;
    }

    public Expression getLoc(){
        return exp;
    }


}